import {scaleOrdinal} from 'd3'

const colorScale=scaleOrdinal()
	.domain(['apple','lemmon'])
  .range(['red','yellow']);

const radiusScale=scaleOrdinal()
	.domain(['apple','lemmon'])
  .range([50,30]);
const xPosition=(d,i) => i*120 + 60;

export const fruitBowl = (selection,props) => { //vyselekt.svg a properties ako v react
    const {fruits,height}=props;
    const circles =selection.selectAll('circle')
    	.data(fruits,d=> d.id);
    circles
      .enter().append('circle') //static examples use just enter selection because there is no need to use update
      .attr('cy',height/2)
       .attr('cx',xPosition)
      .attr('r',0)
    .merge(circles) //update sme presunuli sem cez merge= enter+update
          .attr('fill',d=>colorScale(d.type))
       .transition().duration(1000)
           .attr('cx',xPosition)
          .attr('r',d=>radiusScale(d.type))
 // circles //circles data join  je update selection
  //  .attr('fill',d=>colorScale(d.type))
  //    .attr('r',d=>radiusScale(d.type))
   circles
      .exit()
       .transition().duration(1000)//zmensenie priemeru na nulu
      .attr('r',0)
      .remove();//zmiznutie
     // .attr('fill','black')
  
   
 }